# 78. Consulta: Buscar "Campos" por "externalKey"

Encuentre "Fields" por el externalKey de terceros incorporado durante el procedimiento de registro de "Field".

### <mark style="color:naranja;">OPCIÓN 1</mark> usando la consulta getFields

{% code overflow="wrap" lineNumbers="true" %}

```graphql
consulta FindFieldsByExternalKeyOption1 {
  getFields(filtro: {
    fieldExternalKey: "<third_party_identificator>"
  }) {
    conteoTotal
    fields {
      uuid
      name
      externalKey
    }
  }
}
```

{% endcode %}

### <mark style="color:naranja;">OPCIÓN 2</mark> usando la consulta getFarms

{% code overflow="wrap" lineNumbers="true" %}

```graphql
consulta FingFieldsByExternalKeyOption2 {
  getFarms {
    fields(externalKeys: ["<third_party_identificator>"]) {
      uuid
      name
      externalKey
    }
  }
}

```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/esp/documentacion-de-la-api/resumen-de-solicitudes-de-la-api-de-geopard/78.-consulta-buscar-campos-por-externalkey.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
